#
# Unit test for JobControl.pm
#

# load perl code from our tmp directory
use lib "lib";

use strict;

# import functions we want to test
use JobControl qw(get_job_details);

# how many tests
use Test::More tests => 1;

my $result = "";

# fake command for getting job details
$main::details_cmd="echo 'everything is OK'";

open( main::CMD_SOCK, ">>", \$result ) or die;

get_job_details("#TSI_BSSID 1234\n");

close(main::CMD_SOCK);

ok( $result =~ "TSI_OK" 
  and $result =~ "everything is OK" 
  );
